## kchmviewer-maemo5 1.0.0-2

=== Makefile ===
#############################################################################
# Makefile for building: kchmviewer
# Generated by qmake (2.01a) (Qt 4.6.1) on: Mon Feb 1 09:09:08 2010
# Project:  kchmviewer-1.0.0.pro
# Template: app
# Command: /opt/qt4-maemo5/bin/qmake -unix -o Makefile kchmviewer-1.0.0.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -D_REENTRANT -Wall -W $(DEFINES)
CXXFLAGS      = -pipe -O2 -D_REENTRANT -Wall -W $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/linux-g++ -I. -I/targets/FREMANTLE_X86/opt/qt4-maemo5/include/QtCore -I/targets/FREMANTLE_X86/opt/qt4-maemo5/include/QtGui -I/targets/FREMANTLE_X86/opt/qt4-maemo5/include -I. -Isrc -Ideps/libchmfile -Ideps/chmlib-0.40/src -I/targets/FREMANTLE_X86/opt/qt4-maemo5/include -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,-rpath,/opt/qt4-maemo5/lib
LIBS          = $(SUBLIBS)  -L/opt/qt4-maemo5/lib -lQtGui -L/opt/qt4-maemo5/lib -L/usr/X11R6/lib -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /opt/qt4-maemo5/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = src/contentswidget.cpp \
		src/main.cpp \
		src/mainwindow.cpp \
		src/pageviewwidget.cpp \
		src/toolbarwidget.cpp \
		deps/libchmfile/libchmfile.cpp \
		deps/libchmfile/libchmfile_search.cpp \
		deps/libchmfile/libchmfileimpl.cpp \
		deps/libchmfile/libchmsearchengine.cpp \
		deps/libchmfile/libchmsearchengine_impl.cpp \
		deps/libchmfile/libchmsearchengine_indexing.cpp \
		deps/libchmfile/libchmtextencoding.cpp \
		deps/libchmfile/libchmtocimage.cpp \
		deps/chmlib-0.40/src/chm_lib.c \
		deps/chmlib-0.40/src/lzx.c moc_contentswidget.cpp \
		moc_mainwindow.cpp \
		moc_pageviewwidget.cpp \
		moc_toolbarwidget.cpp \
		moc_libchmsearchengine.cpp \
		moc_libchmsearchengine_indexing.cpp
OBJECTS       = contentswidget.o \
		main.o \
		mainwindow.o \
		pageviewwidget.o \
		toolbarwidget.o \
		libchmfile.o \
		libchmfile_search.o \
		libchmfileimpl.o \
		libchmsearchengine.o \
		libchmsearchengine_impl.o \
		libchmsearchengine_indexing.o \
		libchmtextencoding.o \
		libchmtocimage.o \
		chm_lib.o \
		lzx.o \
		moc_contentswidget.o \
		moc_mainwindow.o \
		moc_pageviewwidget.o \
		moc_toolbarwidget.o \
		moc_libchmsearchengine.o \
		moc_libchmsearchengine_indexing.o
DIST          = /targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/release.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf \
		kchmviewer-1.0.0.pro
QMAKE_TARGET  = kchmviewer
DESTDIR       = 
TARGET        = kchmviewer

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: kchmviewer-1.0.0.pro  /targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/linux-g++/qmake.conf /targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/release.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf \
		/opt/qt4-maemo5/lib/libQtGui.prl \
		/opt/qt4-maemo5/lib/libQtCore.prl
	$(QMAKE) -unix -o Makefile kchmviewer-1.0.0.pro
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/g++.conf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/unix.conf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/linux.conf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/qconfig.pri:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/release.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/default_post.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/moc.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/resources.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/uic.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/yacc.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/lex.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf:
/opt/qt4-maemo5/lib/libQtGui.prl:
/opt/qt4-maemo5/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile kchmviewer-1.0.0.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/kchmviewer1.0.0 || $(MKDIR) .tmp/kchmviewer1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/kchmviewer1.0.0/ && $(COPY_FILE) --parents src/chmtypes.h src/contentswidget.h src/mainwindow.h src/pageviewwidget.h src/toolbarwidget.h deps/libchmfile/bitfiddle.h deps/libchmfile/libchmfile.h deps/libchmfile/libchmfileimpl.h deps/libchmfile/libchmsearchengine.h deps/libchmfile/libchmsearchengine_impl.h deps/libchmfile/libchmsearchengine_indexing.h deps/libchmfile/libchmtextencoding.h deps/libchmfile/libchmtocimage.h deps/libchmfile/libchmurlfactory.h deps/chmlib-0.40/src/chm_lib.h deps/chmlib-0.40/src/lzx.h src/fullscreen.xpm src/nextpage.xpm src/prevpage.xpm src/openfile.xpm src/contents.xpm src/zoomin.xpm src/zoomout.xpm .tmp/kchmviewer1.0.0/ && $(COPY_FILE) --parents src/contentswidget.cpp src/main.cpp src/mainwindow.cpp src/pageviewwidget.cpp src/toolbarwidget.cpp deps/libchmfile/libchmfile.cpp deps/libchmfile/libchmfile_search.cpp deps/libchmfile/libchmfileimpl.cpp deps/libchmfile/libchmsearchengine.cpp deps/libchmfile/libchmsearchengine_impl.cpp deps/libchmfile/libchmsearchengine_indexing.cpp deps/libchmfile/libchmtextencoding.cpp deps/libchmfile/libchmtocimage.cpp deps/chmlib-0.40/src/chm_lib.c deps/chmlib-0.40/src/lzx.c .tmp/kchmviewer1.0.0/ && (cd `dirname .tmp/kchmviewer1.0.0` && $(TAR) kchmviewer1.0.0.tar kchmviewer1.0.0 && $(COMPRESS) kchmviewer1.0.0.tar) && $(MOVE) `dirname .tmp/kchmviewer1.0.0`/kchmviewer1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/kchmviewer1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_contentswidget.cpp moc_mainwindow.cpp moc_pageviewwidget.cpp moc_toolbarwidget.cpp moc_libchmsearchengine.cpp moc_libchmsearchengine_indexing.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_contentswidget.cpp moc_mainwindow.cpp moc_pageviewwidget.cpp moc_toolbarwidget.cpp moc_libchmsearchengine.cpp moc_libchmsearchengine_indexing.cpp
moc_contentswidget.cpp: src/chmtypes.h \
		deps/libchmfile/libchmfile.h \
		deps/libchmfile/libchmtextencoding.h \
		src/contentswidget.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) src/contentswidget.h -o moc_contentswidget.cpp

moc_mainwindow.cpp: src/mainwindow.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) src/mainwindow.h -o moc_mainwindow.cpp

moc_pageviewwidget.cpp: src/chmtypes.h \
		deps/libchmfile/libchmfile.h \
		deps/libchmfile/libchmtextencoding.h \
		src/pageviewwidget.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) src/pageviewwidget.h -o moc_pageviewwidget.cpp

moc_toolbarwidget.cpp: src/toolbarwidget.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) src/toolbarwidget.h -o moc_toolbarwidget.cpp

moc_libchmsearchengine.cpp: deps/libchmfile/libchmsearchengine.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) deps/libchmfile/libchmsearchengine.h -o moc_libchmsearchengine.cpp

moc_libchmsearchengine_indexing.cpp: deps/libchmfile/libchmsearchengine_indexing.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) deps/libchmfile/libchmsearchengine_indexing.h -o moc_libchmsearchengine_indexing.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

contentswidget.o: src/contentswidget.cpp src/contentswidget.h \
		src/chmtypes.h \
		deps/libchmfile/libchmfile.h \
		deps/libchmfile/libchmtextencoding.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o contentswidget.o src/contentswidget.cpp

main.o: src/main.cpp src/mainwindow.h

## kchmviewer-maemo5 1.0.0-1

=== debian/changelog ===
kchmviewer-maemo5 (1.0.0-1) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Max Kiva <max.kiva@gmail.com>  Sun, 31 Jan 2010 18:44:15 +0000

=== debian/control ===
Source: kchmviewer-maemo5
Section: apps
Priority: optional
Maintainer: Max Kiva <max.kiva@gmail.com>
Build-Depends: debhelper (>= 4), libqt4-maemo5-dev
Standards-Version: 3.7.2

Package: kchmviewer-maemo5
Section: user/other
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-maemo5-core, libqt4-maemo5-gui
Description: kchmviewer port to maemo5
 KChmViewer port to maemo5. Hildon styled.
XB-Maemo-Display-Name: kchmviewer
XB-Maemo-Icon-26: 
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAANSklEQVRoge2Z
 eZRU1Z3HP2+trbfqrmq6eqdpulla9lVBQWgEzKhxosd4YpzEaDDGiEPI0Wgc
 zYlORIkJRs0xuI2acTs50YgT1BgXBjAKCDQgvUjTDd30Al30VlXv3ffu/FF0
 pdtGZBDGyTn5nfPOe3XrvXe/n9/9/e79vXMVKSV/z6Z+2QK+qP0D4Mu2Mwrw
 lQeWn/EEU85UEs+//3rZZ8fRFIV0T4CMQDovXXePcrr7OSMAlzy0Urb1RZEM
 fbfrOPhNLwHTy7obHzgtMKcd4NzVy6TliCFtXs2DcB2EHNQuJSoKHt1gVDif
 td/8ySkBnTaAlS+tkR82fUxMWACM8OZSlTOOCYWjiWRm02fFaI92s2H/FnZ2
 7Rz2vFc38RomobQsnvnWnScNc1oALnlkpexLxOmxYgBcWLKYK6YvoCA/nW4h
 6UmAqkCmCU7c5q97PuG3235He7z9uO9TUcj0pRH0p/O7a356QpgvDLBkzU0y
 Gu9DAioqi4rP54bqiziqGGxqcYhbEkOVJIRLT9yhJFPl7HyDpqbDPPz+09R1
 15/w/bqi4tVNNEVh/fIHh8F8oWn0skd/LLsTsVSqlqQX8625S2mxdf5Qa6Mj
 CfthaoHB2cUmE/IM9rZbPPpBNwX5QRaPmv+5fSiKiu04dPX1Mu2nVw3z9ikD
 nLv6u7K9twtHuqm2pRXz8KZ5eWGPheu4NHcJajssDGExwuOysMzHrCKT+vYY
 z28/yrRRYxibNfYz+5CuJG4n6I33Y9sWk0Jlw+7R/7fCl665SdqugyUcUJxU
 e74/n2klY9l8UNDRbXMYFyFcbNth+ycW0hGsXBRhVFCn/XA/r7X3s3Ckn3Gh
 CvZE9wzrxxYC2xF4NB3HFVxQNpWLKmafGsDlj94qXdclGuvFdh0SjoBPRaOm
 6AT8Jtsbetlb30YiniAUymBSaRBD9eM1IJSuczQao+lQL5bt0nw4h8rgqGH9
 SSmxhE2ax0soEGRyqITLquahqdrJA1z80A+l7QhcIJQWJGbH6LFiKMpnRJ0E
 14WDB9rZs207fq/O2quXUJ4boC9mk7Adahs7uO8PDRw5dATHtujtixA2/EOE
 u1IihCAvI5tQIIvJ4ZFcWnUuhmFgWdaJAebd/HUZD2ho6T58pgePYeJRdVq7
 O+i34p8tHnCkoLc/QY4hkYqJqhn0x21WPbeVZ95tREqIxl2EA8IWeHWVnIDO
 rkM7cF2XhLBxXZeAx0vZiGLSPD7Oyinm4vFzSAukYds2HV2HTwwQzAzScGA/
 HiQyHSwhENJBJh18QmuJtbC/o4O5o4M8/qZGZkYGHkOnsDDE1PESv6EQCJjY
 tsPGHa1k65Isn0lDZyMxK4FXNygM5TMiPYimakzJHcWiyulkpGcAEIvFqG9u
 5NIV18jFU+fy6Ko1CoB25513pkRkxbU7u450sa+1GenRcTSJqqqfK37A+uIJ
 qsdOpetIDzVN3WQHTLbs6aAjmmDT3ihHuhLsaYwiuqPc8rUpxK0+1jetpziU
 S2VuMZm+NEzdoLpsCueVTyYrKwtd10kkEtQ07OWuJ36FTzFY9/jzqQwcMgJe
 r5dzRp5FTHfZq3ahqdpJiweoObKLrQ31XLd0PK69ndUvbKdfCYBq4EqIHo1S
 4LW4+auTyAv62XDgXcYUFKMoST2qonJB+TQm5ZeTlpaWEr+nqYFbn1yNIiVb
 X/7LkOljCIBhGHSqcfaZfWiKnnrxyVrCSfDU7me5hqtZ9k8TqZ7SxdsfNXGg
 sxdT15gwsohzJhShAVsPfEjU7cTUjGPiFRaUT2Z68Ti8Xi+6rmNZFrubGljx
 +Cp0RWPzf64fJmhIKXHDk/8uP2ip5aJJcynOjtDQeZDGzhZc6eJIieu6yWvX
 xZEu7rFzhsePBAxNRzgOrnSZGZrJ6GA5mf4sNE1FSkmsP05rzyH2J+qIqb2p
 fjVV5YLR05lYOBqPx4OqqjiOw5b6Xax4YhUZiof19z11XG+mAOb/27dlr8fl
 X2ZfyDdnLU3O98IiblvE7ARxK3mO2fFjbRaWsBGOSMJIF1CQkARzXYTj4jok
 r10HIWwSMo5UZGpW0FSNJZUzqSoowzTNlPgP6mtY+R/3E/Zk8vJdj3xmKChS
 Sq5f+zPZ7cQpyc0nJ5DJmEgpZ+WPIpwRRDjJFVE4DrYjsByBcAWWEFjCxnIE
 CWFjCWtQm528dgS2sLFdgX3secdNnl0p0VWVRRXTqSoYhcfjQVEUHMdhc+0O
 Vjx9P3lZObxyy69PGMc6gKFq3Hr212mLHWVf9BA7muvZ1lxLKJBFVUEZ5eFC
 0r3+FITtCGxNYOlJoV5dkBAmtmMnYRwbWyTBBqAHnuu3EzjSxa+bLK6cwajc
 QkzTRFEUXNflvY+3cutzaygrKGF/3/HL7WEAvTJBRlo6fq+P/EA27T1H+Li9
 iYMdh2iNdrDJV0NhVpixkVIKg7n4TS+2KzCEjqklhZm6gSUEHt0m4djYwsbj
 /G2UbCE4GuvFFoKA4WXp2FmUhCIp8Y7r8N7erfz4xQdZNHE251bNoKalnrPv
 /Y4clz+StVfd9tk58I21P5G/uOQHKBJs20YIgW3btHUdZseBera11hE3XEYE
 QxRl51GaHaEyr5gR6dkI1/mUl5Pet46JTzjJPOnsPUrzkTa8hsmSMTMpysnD
 MIzUTPfmrve57cWHuGTKPM4bPw2/6cVveqlrb+K+15/B6/Gx/sZfHn8WWv78
 avmj6qvI8qYhhBhy2LZNwrKoO9jI23Vb2dXVRFZWFkU5EcrCBVTkFlGaEyHD
 l4ZwHSxhY7sOYpD3W6Id1LUfwHdMfCQYRtf/Nk2v276Bu195jMumL2T++Bn4
 DA9ew0yWM7rBwa4Orn3mHkxd5+0Vvxm+DrQc7SQmLPK8XhzHGXLYto1XCCb5
 xzGupJy2aCd/bdjFxn07qdlfS2leIWXhQgqywowM5VOQGSZgerAdHVPTaTzc
 SmNnKwHTx+Ix04kEw2ialox5KXm9ZhP3vPYE182/lOqqWZiagaHrGKqGcF0O
 RtupaWlgXsUUumN9XP6rH8oXbrp/6Ers1U26Yj2MUlUURUHTtGRl6LoYhjEE
 xufzURiOcMHEc9jTXM97tR/x58YNFBcV0RopJWD6iGTmUJITIS4sdrc24je9
 VFdOJy8rJ+V5KSWv7dzA3eueYPmCK6gePxND09E1nfaeLva07KO2o5nueB8m
 GpVpEXIy/exNNHDNg7fLx278mZIKIYDbX35EXjZ1IWPzSjH15OoopUwdnx4Z
 IQSWZeE4Dke6o7y760O2tdQRCoUpyS8CJTnVZ3j8LKqcTk5GVsrzUkqe//AN
 HnzrBVYsvJKF42bQHe9nX2cLOw820Nl3lEQ8jt/RKPbnkO/PxjQMDMPgvU+2
 s/LK76ZGYMhK/JVf/6sMp2Uxd/RkFo2bSSQzJ1kPHbvHdd1hMIPzpS/WR+3B
 /TS0HSAQzMAb8FM9ZhrBtMyUeMd1eWnLn1nz1gt8f/5ljMkrYVfrPpqPtNEa
 7SDaFSWsBpg4ooySUASfJ1lWaJqGaZq8uP0v3HHF944PMGBXrL1d9sR7GZ1b
 xJLxZ3NuxRR8hmfIqAwAHQ/Etm26uo+SE8ohHMwZ6vkP3uCBt56jeuwMIpkh
 6tqbaWw7gNJnMzE8kukl4whnJj2u63rq0DQNXdd56J2X+Pk3bj4xwGC76KEV
 UjiCWWUTWFI1m7MKyvEaZur/ASDXdRFCpGASiQR+vx+/358S/8TGP/LbDa8w
 qWg0vf19tHd0UJ42gjkjJ1CRX4LH9BxXtKqqqMfyc/Ubz/LzK5cfv5w+nr1y
 w+rUzUsfXC6z/RnMKZ9E9dgZFGfnoR/zrqqqGIaBpmlompbq0HGSH0RPbXqV
 h9/5PUHDx+HmQ8wsGMPU86oJZ2ZjDPL2gOiBd6hq8itQURRsR6R+n/QIHM+u
 fOwO2dXfQ1EwlyXjZ3P+mGmke/yp/BgYDdd10TSNJzev4/GNrzIru5w5pWcx
 tqiMgNeH/inhA6IHQm6wNXe18addm9iy/2OeXXb3yYfQ59mcVddJV7osqJzG
 gsppVEXKMNVkLW9ZFo+/v4719R9y06yvMjl/9JAQGQiPwSM2WHhnb5SNDTt4
 p24bdW3NvLny4RN/D5yqzb33Wlmak0dpKJ/Gw62UZxcwZUQ5Gxq2s6mtlh+d
 dwVTCirQdT0VZoM9PVh0b7yfmpYGXt/9PnXtTQjX4fc33H/icvp02NxV18rF
 42bznTkXs7V5L6/t2sjOg59wx6KrmVxYMSRMBkQPCHelpKHjAK/v3symhh30
 xmO8etPwuueMAgCcd98yec7IKm678NtoikoinkDV1JT4T3v7YLSDDfUfsX73
 Zrr6uvnjKWx6nPYNjvNXXy/njJzAD+Zdjq5qwxK0J9HPlv0f8181/01dezMe
 3eDFZfee8m7NGdliOv8X35OTcsv4/px/Jj2QhmEY7O1s5k81G9nb2YQtbF5c
 tur/5xbTgC345Y0yT0+jIlJCTXsjCVfwygmS8VTtjAEAfO03t0if4eHpa+46
 7cIH7IwC/F/YP3bqv2z7uwf4H2mJxdpH52MNAAAAAElFTkSuQmCC

## kchmviewer-maemo5 1.0.0-2

=== debian/changelog ===
kchmviewer-maemo5 (1.0.0-2) unstable; urgency=low

  * Added word wrapping
  * Fixed invalid section in debian/control

 -- Max Kiva <max.kiva@gmail.com>  Tue,  2 Feb 2010 13:39:24 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Standards-Version: 3.7.2
 
 Package: kchmviewer-maemo5
-Section: user/other
+Section: user/utilities
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-maemo5-core, libqt4-maemo5-gui
 Description: kchmviewer port to maemo5

## kchmviewer-maemo5 1.0.0-4

=== debian/changelog ===
kchmviewer-maemo5 (1.0.0-4) unstable; urgency=low

  * Fixed Image problem
  * Set window title to the active page name
  * Fixed icons
  * Disable toolbar whilst the page is loading

 -- Max Kiva <max.kiva@gmail.com>  Wed,  3 Feb 2010 10:34:43 +0000

kchmviewer-maemo5 (1.0.0-3) unstable; urgency=low

  * Invalid section remained somehow, fixing this time

 -- Max Kiva <max.kiva@gmail.com>  Tue,  2 Feb 2010 14:04:27 +0000

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: kchmviewer-maemo5
-Section: apps
+Section: user/utilities
 Priority: optional
 Maintainer: Max Kiva <max.kiva@gmail.com>
 Build-Depends: debhelper (>= 4), libqt4-maemo5-dev
 Standards-Version: 3.7.2
 
 Package: kchmviewer-maemo5
-Section: user/utilities
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-maemo5-core, libqt4-maemo5-gui
 Description: kchmviewer port to maemo5

## kchmviewer-maemo5 1.0.0-5

=== debian/changelog ===
kchmviewer-maemo5 (1.0.0-5) unstable; urgency=low

  * Added zoom-in/out through volume keys

 -- Max Kiva <max.kiva@gmail.com>  Wed,  3 Feb 2010 18:24:40 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/utilities
 Priority: optional
 Maintainer: Max Kiva <max.kiva@gmail.com>
-Build-Depends: debhelper (>= 4), libqt4-maemo5-dev
+Build-Depends: debhelper (>= 4), libqt4-maemo5-dev, libx11-dev
 Standards-Version: 3.7.2
 
 Package: kchmviewer-maemo5

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

APPNAME := kchmviewer
APPVAR := maemo5

builddir:
	mkdir -p builddir

builddir/Makefile: builddir
	cd builddir && /opt/qt4-maemo5/bin/qmake PREFIX=/usr ../$(APPNAME).pro

build: build-stamp

build-stamp: builddir/Makefile
	dh_testdir
	# Add here commands to compile the package.
	cd builddir && $(MAKE)
	touch $@
	#
clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	# # Add here commands to clean up after the build process.
	rm -rf builddir
	dh_clean
	
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
# Add here commands to install the package into debian/your_appname
	cd builddir && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/$(APPNAME)-$(APPVAR) install

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.
#
# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip --dbg-package=my-application-dbg
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## kchmviewer-maemo5 1.0.1-1

=== debian/changelog ===
kchmviewer-maemo5 (1.0.1-1) unstable; urgency=low

  * Added search
  * Added bookmarks
  * Added recent documents
  * Added persistant last document directory

 -- Max Kiva <max.kiva@gmail.com>  Fri,  5 Mar 2010 17:24:24 +0000

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: user/utilities
 Priority: optional
 Maintainer: Max Kiva <max.kiva@gmail.com>
-Build-Depends: debhelper (>= 4), libqt4-maemo5-dev, libx11-dev
+Build-Depends: debhelper (>= 4), libqt4-dev, libx11-dev
 Standards-Version: 3.7.2
 
 Package: kchmviewer-maemo5
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-maemo5-core, libqt4-maemo5-gui
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: kchmviewer port to maemo5
  KChmViewer port to maemo5. Hildon styled.
 XB-Maemo-Display-Name: kchmviewer

## kchmviewer-maemo5 1.0.1-2

=== debian/changelog ===
kchmviewer-maemo5 (1.0.1-2) unstable; urgency=low

  * added bugtracker link

 -- Max Kiva <max.kiva@gmail.com>  Sat,  6 Mar 2010 21:02:37 +0000

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: kchmviewer port to maemo5
  KChmViewer port to maemo5. Hildon styled.
+XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=kchmviewer-maemo5
 XB-Maemo-Display-Name: kchmviewer
 XB-Maemo-Icon-26: 
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAANSklEQVRoge2Z

## kchmviewer-maemo5 1.0.1-3

=== debian/changelog ===
kchmviewer-maemo5 (1.0.1-3) unstable; urgency=low

  * updated bugtracker link

 -- Max Kiva <max.kiva@gmail.com>  Mon,  8 Mar 2010 07:23:39 +0000

## kchmviewer-maemo5 1.0.1-4

=== Makefile ===
#############################################################################
# Makefile for building: kchmviewer
# Generated by qmake (2.01a) (Qt 4.5.3) on: Sat Mar 6 19:33:40 2010
# Project:  kchmviewer.pro
# Template: app
# Command: /usr/bin/qmake -unix -o Makefile kchmviewer.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DMAEMO -DDATADIR="/usr/local/share" -DPKGDATADIR="" -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -g -D_REENTRANT -Wall -W $(DEFINES)
CXXFLAGS      = -pipe -O3 -g -D_REENTRANT -Wall -W $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-gles2 -I. -I/targets/FREMANTLE_ARMEL/usr/include/qt4/QtCore -I/targets/FREMANTLE_ARMEL/usr/include/qt4/QtGui -I/targets/FREMANTLE_ARMEL/usr/include/qt4 -I. -Isrc -Ideps/libchmfile -Ideps/chmlib-0.40/src -I/opt/qt4-maemo5/include -I.
LINK          = g++
LFLAGS        = -Wl,-O1
LIBS          = $(SUBLIBS)  -L/usr/lib -Wl,-rpath-link=/usr/lib -lQtGui -lQtCore -lpthread
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = src/contentswidget.cpp \
		src/main.cpp \
		src/mainwindow.cpp \
		src/pageviewwidget.cpp \
		src/toolbarwidget.cpp \
		src/finddialog.cpp \
		src/bookmarksdialog.cpp \
		src/recentdocsdialog.cpp \
		src/chm.cpp \
		src/resources.cpp \
		deps/libchmfile/libchmfile.cpp \
		deps/libchmfile/libchmfile_search.cpp \
		deps/libchmfile/libchmfileimpl.cpp \
		deps/libchmfile/libchmsearchengine.cpp \
		deps/libchmfile/libchmsearchengine_impl.cpp \
		deps/libchmfile/libchmsearchengine_indexing.cpp \
		deps/libchmfile/libchmtextencoding.cpp \
		deps/libchmfile/libchmtocimage.cpp \
		deps/chmlib-0.40/src/chm_lib.c \
		deps/chmlib-0.40/src/lzx.c moc_contentswidget.cpp \
		moc_mainwindow.cpp \
		moc_pageviewwidget.cpp \
		moc_toolbarwidget.cpp \
		moc_finddialog.cpp \
		moc_bookmarksdialog.cpp \
		moc_recentdocsdialog.cpp \
		moc_libchmsearchengine.cpp \
		moc_libchmsearchengine_indexing.cpp
OBJECTS       = contentswidget.o \
		main.o \
		mainwindow.o \
		pageviewwidget.o \
		toolbarwidget.o \
		finddialog.o \
		bookmarksdialog.o \
		recentdocsdialog.o \
		chm.o \
		resources.o \
		libchmfile.o \
		libchmfile_search.o \
		libchmfileimpl.o \
		libchmsearchengine.o \
		libchmsearchengine_impl.o \
		libchmsearchengine_indexing.o \
		libchmtextencoding.o \
		libchmtocimage.o \
		chm_lib.o \
		lzx.o \
		moc_contentswidget.o \
		moc_mainwindow.o \
		moc_pageviewwidget.o \
		moc_toolbarwidget.o \
		moc_finddialog.o \
		moc_bookmarksdialog.o \
		moc_recentdocsdialog.o \
		moc_libchmsearchengine.o \
		moc_libchmsearchengine_indexing.o
DIST          = /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		kchmviewer.pro
QMAKE_TARGET  = kchmviewer
DESTDIR       = 
TARGET        = kchmviewer

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: kchmviewer.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-gles2/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -unix -o Makefile kchmviewer.pro
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/g++.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtGui.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile kchmviewer.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/kchmviewer1.0.0 || $(MKDIR) .tmp/kchmviewer1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/kchmviewer1.0.0/ && $(COPY_FILE) --parents src/chmtypes.h src/contentswidget.h src/mainwindow.h src/pageviewwidget.h src/toolbarwidget.h src/finddialog.h src/bookmarksdialog.h src/recentdocsdialog.h src/chm.h src/resources.h deps/libchmfile/bitfiddle.h deps/libchmfile/libchmfile.h deps/libchmfile/libchmfileimpl.h deps/libchmfile/libchmsearchengine.h deps/libchmfile/libchmsearchengine_impl.h deps/libchmfile/libchmsearchengine_indexing.h deps/libchmfile/libchmtextencoding.h deps/libchmfile/libchmtocimage.h deps/libchmfile/libchmurlfactory.h deps/chmlib-0.40/src/chm_lib.h deps/chmlib-0.40/src/lzx.h .tmp/kchmviewer1.0.0/ && $(COPY_FILE) --parents src/contentswidget.cpp src/main.cpp src/mainwindow.cpp src/pageviewwidget.cpp src/toolbarwidget.cpp src/finddialog.cpp src/bookmarksdialog.cpp src/recentdocsdialog.cpp src/chm.cpp src/resources.cpp deps/libchmfile/libchmfile.cpp deps/libchmfile/libchmfile_search.cpp deps/libchmfile/libchmfileimpl.cpp deps/libchmfile/libchmsearchengine.cpp deps/libchmfile/libchmsearchengine_impl.cpp deps/libchmfile/libchmsearchengine_indexing.cpp deps/libchmfile/libchmtextencoding.cpp deps/libchmfile/libchmtocimage.cpp deps/chmlib-0.40/src/chm_lib.c deps/chmlib-0.40/src/lzx.c .tmp/kchmviewer1.0.0/ && (cd `dirname .tmp/kchmviewer1.0.0` && $(TAR) kchmviewer1.0.0.tar kchmviewer1.0.0 && $(COMPRESS) kchmviewer1.0.0.tar) && $(MOVE) `dirname .tmp/kchmviewer1.0.0`/kchmviewer1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/kchmviewer1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_contentswidget.cpp moc_mainwindow.cpp moc_pageviewwidget.cpp moc_toolbarwidget.cpp moc_finddialog.cpp moc_bookmarksdialog.cpp moc_recentdocsdialog.cpp moc_libchmsearchengine.cpp moc_libchmsearchengine_indexing.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_contentswidget.cpp moc_mainwindow.cpp moc_pageviewwidget.cpp moc_toolbarwidget.cpp moc_finddialog.cpp moc_bookmarksdialog.cpp moc_recentdocsdialog.cpp moc_libchmsearchengine.cpp moc_libchmsearchengine_indexing.cpp
moc_contentswidget.cpp: src/chmtypes.h \
		deps/libchmfile/libchmfile.h \
		deps/libchmfile/libchmtextencoding.h \
		src/contentswidget.h
	/usr/bin/moc $(DEFINES) $(INCPATH) src/contentswidget.h -o moc_contentswidget.cpp

moc_mainwindow.cpp: src/mainwindow.h
	/usr/bin/moc $(DEFINES) $(INCPATH) src/mainwindow.h -o moc_mainwindow.cpp

moc_pageviewwidget.cpp: src/chmtypes.h \
		deps/libchmfile/libchmfile.h \
		deps/libchmfile/libchmtextencoding.h \
		src/pageviewwidget.h
	/usr/bin/moc $(DEFINES) $(INCPATH) src/pageviewwidget.h -o moc_pageviewwidget.cpp

moc_toolbarwidget.cpp: src/toolbarwidget.h
	/usr/bin/moc $(DEFINES) $(INCPATH) src/toolbarwidget.h -o moc_toolbarwidget.cpp

moc_finddialog.cpp: src/finddialog.h
	/usr/bin/moc $(DEFINES) $(INCPATH) src/finddialog.h -o moc_finddialog.cpp

moc_bookmarksdialog.cpp: src/bookmarksdialog.h
	/usr/bin/moc $(DEFINES) $(INCPATH) src/bookmarksdialog.h -o moc_bookmarksdialog.cpp

moc_recentdocsdialog.cpp: src/recentdocsdialog.h
	/usr/bin/moc $(DEFINES) $(INCPATH) src/recentdocsdialog.h -o moc_recentdocsdialog.cpp

moc_libchmsearchengine.cpp: deps/libchmfile/libchmsearchengine.h
	/usr/bin/moc $(DEFINES) $(INCPATH) deps/libchmfile/libchmsearchengine.h -o moc_libchmsearchengine.cpp

moc_libchmsearchengine_indexing.cpp: deps/libchmfile/libchmsearchengine_indexing.h
	/usr/bin/moc $(DEFINES) $(INCPATH) deps/libchmfile/libchmsearchengine_indexing.h -o moc_libchmsearchengine_indexing.cpp

compiler_rcc_make_all:

=== debian/changelog ===
kchmviewer-maemo5 (1.0.1-4) unstable; urgency=low

  * moved table of contents into dialog

 -- Max Kiva <max.kiva@gmail.com>  Mon,  8 Mar 2010 09:36:01 +0000

## kchmviewer-maemo5 1.0.1-5

=== Makefile ===
#############################################################################
# Makefile for building: kchmviewer
# Generated by qmake (2.01a) (Qt 4.5.3) on: Thu Mar 11 06:47:39 2010
# Project:  kchmviewer.pro
# Template: app
# Command: /usr/bin/qmake -unix -o Makefile kchmviewer.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DMAEMO -DDATADIR="/usr/local/share" -DPKGDATADIR="" -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O0 -D_REENTRANT -Wall -W $(DEFINES)
CXXFLAGS      = -pipe -O0 -D_REENTRANT -Wall -W $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++-opengl -I. -I/targets/FREMANTLE_X86/usr/include/qt4/QtCore -I/targets/FREMANTLE_X86/usr/include/qt4/QtGui -I/targets/FREMANTLE_X86/usr/include/qt4 -I. -Isrc -Ideps/libchmfile -Ideps/chmlib-0.40/src -I/targets/FREMANTLE_X86/usr/include -I.
LINK          = g++
LFLAGS        = 
LIBS          = $(SUBLIBS)  -L/usr/lib -Wl,-rpath-link=/usr/lib -lQtGui -lQtCore -lpthread
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = src/contentswidget.cpp \
		src/main.cpp \
		src/mainwindow.cpp \
		src/pageviewwidget.cpp \
		src/toolbarwidget.cpp \
		src/finddialog.cpp \
		src/bookmarksdialog.cpp \
		src/recentdocsdialog.cpp \
		src/chm.cpp \
		src/resources.cpp \
		src/progressindicator.cpp \
		deps/libchmfile/libchmfile.cpp \
		deps/libchmfile/libchmfile_search.cpp \
		deps/libchmfile/libchmfileimpl.cpp \
		deps/libchmfile/libchmsearchengine.cpp \
		deps/libchmfile/libchmsearchengine_impl.cpp \
		deps/libchmfile/libchmsearchengine_indexing.cpp \
		deps/libchmfile/libchmtextencoding.cpp \
		deps/libchmfile/libchmtocimage.cpp \
		deps/chmlib-0.40/src/chm_lib.c \
		deps/chmlib-0.40/src/lzx.c moc_contentswidget.cpp \
		moc_mainwindow.cpp \
		moc_pageviewwidget.cpp \
		moc_toolbarwidget.cpp \
		moc_finddialog.cpp \
		moc_bookmarksdialog.cpp \
		moc_recentdocsdialog.cpp \
		moc_libchmsearchengine.cpp \
		moc_libchmsearchengine_indexing.cpp
OBJECTS       = contentswidget.o \
		main.o \
		mainwindow.o \
		pageviewwidget.o \
		toolbarwidget.o \
		finddialog.o \
		bookmarksdialog.o \
		recentdocsdialog.o \
		chm.o \
		resources.o \
		progressindicator.o \
		libchmfile.o \
		libchmfile_search.o \
		libchmfileimpl.o \
		libchmsearchengine.o \
		libchmsearchengine_impl.o \
		libchmsearchengine_indexing.o \
		libchmtextencoding.o \
		libchmtocimage.o \
		chm_lib.o \
		lzx.o \
		moc_contentswidget.o \
		moc_mainwindow.o \
		moc_pageviewwidget.o \
		moc_toolbarwidget.o \
		moc_finddialog.o \
		moc_bookmarksdialog.o \
		moc_recentdocsdialog.o \
		moc_libchmsearchengine.o \
		moc_libchmsearchengine_indexing.o
DIST          = /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/debug.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		kchmviewer.pro
QMAKE_TARGET  = kchmviewer
DESTDIR       = 
TARGET        = kchmviewer

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: kchmviewer.pro  /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++-opengl/qmake.conf /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/debug.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -unix -o Makefile kchmviewer.pro
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/debug.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtGui.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile kchmviewer.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/kchmviewer1.0.0 || $(MKDIR) .tmp/kchmviewer1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/kchmviewer1.0.0/ && $(COPY_FILE) --parents src/chmtypes.h src/contentswidget.h src/mainwindow.h src/pageviewwidget.h src/toolbarwidget.h src/finddialog.h src/bookmarksdialog.h src/recentdocsdialog.h src/chm.h src/resources.h src/progressindicator.h deps/libchmfile/bitfiddle.h deps/libchmfile/libchmfile.h deps/libchmfile/libchmfileimpl.h deps/libchmfile/libchmsearchengine.h deps/libchmfile/libchmsearchengine_impl.h deps/libchmfile/libchmsearchengine_indexing.h deps/libchmfile/libchmtextencoding.h deps/libchmfile/libchmtocimage.h deps/libchmfile/libchmurlfactory.h deps/chmlib-0.40/src/chm_lib.h deps/chmlib-0.40/src/lzx.h .tmp/kchmviewer1.0.0/ && $(COPY_FILE) --parents src/contentswidget.cpp src/main.cpp src/mainwindow.cpp src/pageviewwidget.cpp src/toolbarwidget.cpp src/finddialog.cpp src/bookmarksdialog.cpp src/recentdocsdialog.cpp src/chm.cpp src/resources.cpp src/progressindicator.cpp deps/libchmfile/libchmfile.cpp deps/libchmfile/libchmfile_search.cpp deps/libchmfile/libchmfileimpl.cpp deps/libchmfile/libchmsearchengine.cpp deps/libchmfile/libchmsearchengine_impl.cpp deps/libchmfile/libchmsearchengine_indexing.cpp deps/libchmfile/libchmtextencoding.cpp deps/libchmfile/libchmtocimage.cpp deps/chmlib-0.40/src/chm_lib.c deps/chmlib-0.40/src/lzx.c .tmp/kchmviewer1.0.0/ && (cd `dirname .tmp/kchmviewer1.0.0` && $(TAR) kchmviewer1.0.0.tar kchmviewer1.0.0 && $(COMPRESS) kchmviewer1.0.0.tar) && $(MOVE) `dirname .tmp/kchmviewer1.0.0`/kchmviewer1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/kchmviewer1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_contentswidget.cpp moc_mainwindow.cpp moc_pageviewwidget.cpp moc_toolbarwidget.cpp moc_finddialog.cpp moc_bookmarksdialog.cpp moc_recentdocsdialog.cpp moc_libchmsearchengine.cpp moc_libchmsearchengine_indexing.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_contentswidget.cpp moc_mainwindow.cpp moc_pageviewwidget.cpp moc_toolbarwidget.cpp moc_finddialog.cpp moc_bookmarksdialog.cpp moc_recentdocsdialog.cpp moc_libchmsearchengine.cpp moc_libchmsearchengine_indexing.cpp
moc_contentswidget.cpp: src/chmtypes.h \
		deps/libchmfile/libchmfile.h \
		deps/libchmfile/libchmtextencoding.h \
		src/contentswidget.h
	/usr/bin/moc $(DEFINES) $(INCPATH) src/contentswidget.h -o moc_contentswidget.cpp

moc_mainwindow.cpp: src/mainwindow.h
	/usr/bin/moc $(DEFINES) $(INCPATH) src/mainwindow.h -o moc_mainwindow.cpp

moc_pageviewwidget.cpp: src/pageviewwidget.h
	/usr/bin/moc $(DEFINES) $(INCPATH) src/pageviewwidget.h -o moc_pageviewwidget.cpp

moc_toolbarwidget.cpp: src/toolbarwidget.h
	/usr/bin/moc $(DEFINES) $(INCPATH) src/toolbarwidget.h -o moc_toolbarwidget.cpp

moc_finddialog.cpp: src/finddialog.h
	/usr/bin/moc $(DEFINES) $(INCPATH) src/finddialog.h -o moc_finddialog.cpp

moc_bookmarksdialog.cpp: src/bookmarksdialog.h
	/usr/bin/moc $(DEFINES) $(INCPATH) src/bookmarksdialog.h -o moc_bookmarksdialog.cpp

moc_recentdocsdialog.cpp: src/recentdocsdialog.h
	/usr/bin/moc $(DEFINES) $(INCPATH) src/recentdocsdialog.h -o moc_recentdocsdialog.cpp

moc_libchmsearchengine.cpp: deps/libchmfile/libchmsearchengine.h
	/usr/bin/moc $(DEFINES) $(INCPATH) deps/libchmfile/libchmsearchengine.h -o moc_libchmsearchengine.cpp

moc_libchmsearchengine_indexing.cpp: deps/libchmfile/libchmsearchengine_indexing.h
	/usr/bin/moc $(DEFINES) $(INCPATH) deps/libchmfile/libchmsearchengine_indexing.h -o moc_libchmsearchengine_indexing.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:

=== debian/changelog ===
kchmviewer-maemo5 (1.0.1-5) unstable; urgency=low

  * Added progress wheels
  * Fixed bugs with page numbering
  * Added page flipping through keyboard

 -- Max Kiva <max.kiva@gmail.com>  Thu, 11 Mar 2010 17:42:47 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: kchmviewer port to maemo5
  KChmViewer port to maemo5. Hildon styled.
-XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=kchmviewer-maemo5
+XSBC-Bugtracker: https://garage.maemo.org/tracker/?func=add&group_id=1431&atid=5224
 XB-Maemo-Display-Name: kchmviewer
 XB-Maemo-Icon-26: 
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAANSklEQVRoge2Z

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 	mkdir -p builddir
 
 builddir/Makefile: builddir
-	cd builddir && /opt/qt4-maemo5/bin/qmake PREFIX=/usr ../$(APPNAME).pro
+	cd builddir && qmake PREFIX=/usr ../$(APPNAME).pro
 
 build: build-stamp
